# Uses of Enum Class
javafx.print.PageOrientation

Packages that use PageOrientation
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PageOrientation in javafx.print

Methods in javafx.print that return PageOrientation
Modifier and Type
Method
Description
`PageOrientation`
PrinterAttributes.`getDefaultPageOrientation()`
Return the default orientation for paper on this printer.
`PageOrientation`
PageLayout.`getPageOrientation()`
`static PageOrientation`
PageOrientation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PageOrientation[]`
PageOrientation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.print that return types with arguments of type PageOrientation
Modifier and Type
Method
Description
`Set<PageOrientation>`
PrinterAttributes.`getSupportedPageOrientations()`
Returns an unmodifiable set of the supported orientations for this printer.
Methods in javafx.print with parameters of type PageOrientation
Modifier and Type
Method
Description
`PageLayout`
Printer.`createPageLayout(Paper paper, PageOrientation orient, double lMargin, double rMargin, double tMargin, double bMargin)`
Obtain a new PageLayout for this printer using the specified parameters.
`PageLayout`
Printer.`createPageLayout(Paper paper, PageOrientation orient, Printer.MarginType mType)`
Obtain a new PageLayout instance for this printer using the specified parameters.